<?php
/**
 * Welcome Page Initiation
*/

include get_template_directory() . '/welcome/welcome.php';

/** Plugins **/
$plugins = array(
	// *** Companion Plugins
	'companion_plugins' => array(
		'access-demo-importer' 	=> array(
			'slug' 				=> 'access-demo-importer',
			'name' 				=> esc_html__('Instant Demo Importer', 'hamza-lite'),
			'filename' 			=>'access-demo-importer.php',
 			// Use either bundled, remote, wordpress
			'host_type' 		=> 'wordpress',
			'class' 			=> 'Access_Demo_Importer',
			'info' => __('Access Demo Importer Plugin adds the feature to Import the Demo Conent with a single click.', 'hamza-lite'),
		)
	),
	// *** Required Plugins
	'required_plugins' 			=> array(),

	// *** Recommended Plugins
	'recommended_plugins' => array(
			// Free Plugins
		'free_plugins' => array(
			'accesspress-social-counter' => array(
				'slug' 		=> 'accesspress-social-counter',
				'filename' 	=> 'accesspress-social-counter.php',
				'class' 	=> 'SC_Class'
			),
			'contact-form-7' => array(
				'slug' 		=> 'contact-form-7',
				'filename' 	=> 'wp-contact-form-7.php',
				'class' 	=> 'WPCF7_Submission'
			),
			'newsletter' => array(
				'slug' 		=> 'newsletter',
				'filename' 	=> 'plugin.php',
				'class' 	=> 'Newsletter'
			),
			'accesspress-twitter-feed' => array(
				'slug' 		=> 'accesspress-twitter-feed',
				'filename' 	=> 'accesspress-twitter-feed.php',
				'class' 	=> 'APTF_Class'
			)
		),
		// Pro Plugins
		'pro_plugins' => array()
	),
);

$strings = array(
		// Welcome Page General Texts
	'welcome_menu_text' => esc_html__( 'Hamza Lite Setup', 'hamza-lite' ),
	'theme_short_description' => esc_html__( 'Hamza Lite- is beautifully designed, multi-purpose, feature-rich modern responsive theme. It is - Woocommerce, bbPress compatible, RTL supported, translation ready, cross-browser compatible and SEO friendly.  It features: different page layout like portfolio, testimonial, gallery, blog etc and has a strong call to action to help achieve greater conversion. With its extensive theme option panel, configuring theme is easy, fast and fun. Hamza Lite is multi-purpose and is suitable for travel, corporate, portfolio, photography, nature, health, small biz, personal, creative, corporate, agencies, bloggers anyone and everyone.', 'hamza-lite' ),

	// Plugin Action Texts
	'install_n_activate' => esc_html__('Install and Activate', 'hamza-lite'),
	'deactivate' => esc_html__('Deactivate', 'hamza-lite'),
	'activate' => esc_html__('Activate', 'hamza-lite'),

	// Recommended Plugins Section
	'pro_plugin_title' => esc_html__( 'Pro Plugins', 'hamza-lite' ),
	'pro_plugin_description' => esc_html__( 'Take Advantage of some of our Premium Plugins.', 'hamza-lite' ),
	'free_plugin_title' => esc_html__( 'Free Plugins', 'hamza-lite' ),
	'free_plugin_description' => esc_html__( 'These Free Plugins might be handy for you.', 'hamza-lite' ),

	// Demo Actions
	'installed_btn' => esc_html__('Activated', 'hamza-lite'),
	'deactivated_btn' => esc_html__('Activated', 'hamza-lite'),
	'demo_installing' => esc_html__('Installing Demo', 'hamza-lite'),
	'demo_installed' => esc_html__('Demo Installed', 'hamza-lite'),
	'demo_confirm' => esc_html__('Are you sure to import demo content ?', 'hamza-lite'),

	// Actions Required
	'req_plugins_installed' => esc_html__( 'All Recommended action has been successfully completed.', 'hamza-lite' ),
	'customize_theme_btn' => esc_html__( 'Customize Theme', 'hamza-lite' ),
);

/**
 * Initiating Welcome Page
*/
$my_theme_wc_page = new Hamza_Lite_Welcome( $plugins, $strings );